=== debian/changelog ===
erlang-luerl (1:0.3-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Philipp Huebner <debalance@debian.org>  Thu, 10 May 2018 20:03:31 +0200

erlang-luerl (1:0.3-2) unstable; urgency=medium

  * Ran "cme fix dpkg"
  * Updated Standards-Version: 4.1.4 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Wed, 09 May 2018 13:29:07 +0200

erlang-luerl (1:0.3-1) unstable; urgency=medium

  * New upstream version 0.3
  * Whitespace fixes in debian/control
  * Install examples
  * Added debian/watch and increased epoch to follow upstream's versioning
  * Added debian/erlang-luerl.lintian-overrides

 -- Philipp Huebner <debalance@debian.org>  Tue, 06 Mar 2018 18:18:27 +0100

erlang-luerl (0.2015.12.10-5) unstable; urgency=medium

  * Set Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
  * Set Uploaders: Philipp Huebner <debalance@debian.org>
  * Updated Vcs-* fields in debian/control for salsa.debian.org
  * Updated years in debian/copyright
  * Updated Standards-Version: 4.1.3 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Thu, 04 Jan 2018 11:37:45 +0100

erlang-luerl (0.2015.12.10-4) unstable; urgency=medium

  * Updated years in debian/copyright
  * Updated Standards-Version: 4.0.0 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Tue, 11 Jul 2017 11:30:02 +0200

erlang-luerl (0.2015.12.10-3) unstable; urgency=medium

  * Added erlang-base to Build-Depends

 -- Philipp Huebner <debalance@debian.org>  Wed, 05 Oct 2016 15:45:29 +0200

erlang-luerl (0.2015.12.10-2) unstable; urgency=medium

  * Build-Depend on erlang-crypto (fixes FTBFS)
  * Updated Standards-Version: 3.9.8 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Wed, 07 Sep 2016 11:46:04 +0200

erlang-luerl (0.2015.12.10-1) unstable; urgency=medium

  * Initial release (Closes: #813504)

 -- Philipp Huebner <debalance@debian.org>  Tue, 02 Feb 2016 17:04:03 +0100
