=== debian/changelog ===
erlang-luerl (1:0.4-2) unstable; urgency=medium

  * Updated debhelper compat version: 12
  * Updated Standards-Version: 4.5.0 (no changes needed)
  * Updated years in debian/copyright
  * Rules-Requires-Root: no

 -- Philipp Huebner <debalance@debian.org>  Tue, 04 Feb 2020 21:14:20 +0100

erlang-luerl (1:0.4-1) unstable; urgency=medium

  * New upstream version 0.4
  * Updated Erlang dependencies
  * Enabled DH_VERBOSE in debian/rules
  * Updated years in debian/copyright
  * Updated Standards-Version: 4.4.0 (no changes needed)
  * debian/rules: export ERL_COMPILER_OPTIONS=deterministic
  * Updated debhelper compat version: 12

 -- Philipp Huebner <debalance@debian.org>  Wed, 24 Jul 2019 11:47:23 +0200
