=== debian/control ===
--- 
+++ 
@@ -3,14 +3,15 @@
 Uploaders: Philipp Huebner <debalance@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Rules-Requires-Root: no
+Build-Depends: debhelper-compat (= 12),
                dh-rebar,
                erlang-base,
                erlang-crypto,
                erlang-eunit,
                erlang-parsetools,
                erlang-syntax-tools
-Standards-Version: 4.1.4
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-luerl
 Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-luerl.git
 Homepage: https://github.com/rvirding/luerl
