=== debian/watch ===
version=3
opts="filenamemangle=s/.*\/v?(\d\S*)\.tar\.gz/erlang-luerl_$1.tar.gz/" \
  https://github.com/rvirding/luerl/releases .*/v?(\d\S*)\.tar\.gz
