## erlang-luerl 1.0

=== Makefile ===
--- 
+++ 
@@ -29,7 +29,7 @@
 
 all: compile
 
-.PHONY: compile clean echo examples
+.PHONY: all compile clean echo examples debug
 
 compile: comp_opts.mk $(addprefix $(EBINDIR)/, $(EBINS))
 
@@ -43,7 +43,7 @@
 %.erl: %.yrl
 	$(ERLC) -o $(SRCDIR) $<
 
-comp_opts.mk:
+comp_opts.mk: get_comp_opts.escript
 	escript get_comp_opts.escript
 
 -include comp_opts.mk
@@ -64,7 +64,5 @@
 debug:
 	ERLCFLAGS="+debug_info" make all
 
-.PHONY: all examples clean
-
 # this protects the intermediate .erl files from make's auto deletion
 #.SECONDARY: $(XRL_INTERM) $(YRL_INTERM)
