=== debian/changelog ===
erlang-luerl (1:1.0-2) unstable; urgency=medium

  * Updated debian/watch

 -- Philipp Huebner <debalance@debian.org>  Sat, 18 Dec 2021 11:26:28 +0100

erlang-luerl (1:1.0-1) unstable; urgency=medium

  * New upstream version 1.0
  * Updated Standards-Version: 4.6.0 (no changes needed)
  * Added debian/erlang-luerl.install to install new include/luerl.hrl into
    binary package
  * Added debian/upstream/metadata

 -- Philipp Huebner <debalance@debian.org>  Sun, 29 Aug 2021 18:42:47 +0200

erlang-luerl (1:0.4-5) unstable; urgency=medium

  * Corrected Multi-Arch setting to "allowed"

 -- Philipp Huebner <debalance@debian.org>  Sun, 31 Jan 2021 18:02:27 +0100

erlang-luerl (1:0.4-4) unstable; urgency=medium

  * Added 'Multi-Arch: same' in debian/control
  * Updated years in debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Sat, 30 Jan 2021 16:16:29 +0100

erlang-luerl (1:0.4-3) unstable; urgency=medium

  * Updated Standards-Version: 4.5.1 (no changes needed)
  * Updated version of debian/watch: 4
  * Updated debhelper compat version: 13
  * Updated lintian overrides

 -- Philipp Huebner <debalance@debian.org>  Fri, 25 Dec 2020 21:49:07 +0100
