=== debian/control ===
--- 
+++ 
@@ -1,18 +1,28 @@
 Source: erlang-luerl
+Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
+Uploaders: Philipp Huebner <debalance@debian.org>
 Section: libs
 Priority: optional
-Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
-Uploaders: Philipp Huebner <debalance@debian.org>
-Build-Depends: debhelper (>= 9), dh-rebar, erlang-base, erlang-crypto, erlang-eunit, erlang-parsetools, erlang-syntax-tools
-Standards-Version: 4.1.3
+Rules-Requires-Root: no
+Build-Depends: debhelper-compat (= 13),
+               dh-rebar,
+               erlang-base,
+               erlang-crypto,
+               erlang-eunit,
+               erlang-parsetools,
+               erlang-syntax-tools
+Standards-Version: 4.6.0
+Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-luerl
+Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-luerl.git
 Homepage: https://github.com/rvirding/luerl
-Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-luerl.git
-Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-luerl
 
 Package: erlang-luerl
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, erlang-base | ${erlang-abi:Depends},
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         erlang-base | ${erlang-abi:Depends},
          ${erlang:Depends}
+Multi-Arch: allowed
 Description: implementation of Lua in Erlang
  An experimental implementation of Lua 5.2 written solely in pure Erlang
  .
@@ -30,8 +40,8 @@
  the famed microprocesses implementation of the Erlang VM. The empty Luerl
  State footprint will be yet smaller than the C Lua State footprint.
  .
- Forking Up: Because of the immutable nature of the Luerl VM, it becomes a 
- natural operation to use the same Lua State as a starting point for multiple 
+ Forking Up: Because of the immutable nature of the Luerl VM, it becomes a
+ natural operation to use the same Lua State as a starting point for multiple
  parallel calculations.
  .
  However, Luerl will generally run slower than a reasonable native Lua
