=== debian/changelog ===
erlang-luerl (1:1.1-1) unstable; urgency=medium

  * New upstream version 1.1
  * Dropped debian/erlang-luerl.install, added debian/source/options and fixed
    debian/rules (closes: #1049485)
  * Updated years in debian/copyright
  * Updated Standards-Version: 4.6.2 (no changes needed)
  * Updated lintian overrides
  * Renamed debian/erlang-luerl.lintian-overrides -> debian/lintian-overrides

 -- Philipp Huebner <debalance@debian.org>  Tue, 26 Dec 2023 15:43:08 +0100
