=== debian/rules ===
--- 
+++ 
@@ -4,5 +4,22 @@
 include /usr/share/dpkg/default.mk
 export ERL_COMPILER_OPTIONS=deterministic
 
+DESTDIR=$(CURDIR)/debian/erlang-luerl
+
+
 %:
 	dh $@ --buildsystem=rebar --with rebar
+
+
+override_dh_auto_install:
+	dh_auto_install
+	for file in include/*.hrl ; do \
+		fname=$$(basename $${file}) ; \
+		subdir=$$(basename $$(dirname $${file})) ; \
+		if [ ! -f $(DESTDIR)/usr/lib/erlang/lib/luerl-$(DEB_VERSION_UPSTREAM)/$${subdir}/$${fname} ] ; then \
+			install -m 755 -d $(DESTDIR)/usr/lib/erlang/lib/luerl-$(DEB_VERSION_UPSTREAM)/$${subdir} ; \
+			install -m 644 $${file} \
+			$(DESTDIR)/usr/lib/erlang/lib/luerl-$(DEB_VERSION_UPSTREAM)/$${subdir} ; \
+		fi ; \
+	done
+	find $(CURDIR)/debian/tmp/ -type f -name '*.hrl' -delete
