=== debian/watch ===
version=4
opts="filenamemangle=s/.*\/v?(\d\S*)\.tar\.gz/erlang-luerl_$1.tar.gz/" \
  https://github.com/rvirding/luerl/tags .*/v?(\d\S*)\.tar\.gz
