## erlang-luerl 1.2.0

=== debian/changelog ===
erlang-luerl (1:1.2.0-1) unstable; urgency=medium

  * New upstream version 1.2.0

 -- Philipp Huebner <debalance@debian.org>  Sat, 20 Jul 2024 12:11:44 +0200
