=== examples/hello/Makefile ===
--- 
+++ 
@@ -3,7 +3,9 @@
 	   hello_table \
 	   hello_table_new \
 	   hello_userdata \
-	   hello_userdata_new
+	   hello_userdata_new \
+	   hello_sandbox \
+	   hello_funcalls
 
 ROOTDIR = ../..
 SRCDIR  = $(ROOTDIR)/src
