=== debian/changelog ===
erlang-luerl (1:1.2.3-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Philipp Huebner <debalance@debian.org>  Fri, 04 Apr 2025 11:56:04 +0200

erlang-luerl (1:1.2.3-1) unstable; urgency=medium

  * New upstream version 1.2.3

 -- Philipp Huebner <debalance@debian.org>  Thu, 03 Oct 2024 17:10:27 +0200
